Bug 1460218 - /usr/share/glib-2.0/schemas/org.gnome.gedit.enums.xml conflicts attempting to install multiarch variants
/usr/share/glib-2.0/schemas/org.gnome.gedit.enums.xml conflicts attempting to...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gedit (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 07:57 EDT by Tomas Pelka
Modified: 2017-06-27 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 11:58:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2017-06-09 07:57:29 EDT
Description of problem:
 file /usr/share/glib-2.0/schemas/org.gnome.gedit.enums.xml conflicts between attempted installs of gedit-2:3.22.0-3.el7.i686 and gedit-2:3.22.0-3.el7.x86_64

Version-Release number of selected component (if applicable):


How reproducible:
gedit-2:3.22.0-3.el

Steps to Reproduce:
1.
2.
3.

Actual results:
file /usr/share/glib-2.0/schemas/org.gnome.gedit.enums.xml conflicts between attempted installs of gedit-2:3.22.0-3.el7.i686 and gedit-2:3.22.0-3.el7.x86_64

Expected results:
should not conflict

Additional info:
Comment 1 Ray Strode [halfline] 2017-06-12 10:56:19 EDT
i'm confused, why is gedit getting pulled in as a multilib package?  is some library doing Requires: gedit ?
Comment 2 Tomas Pelka 2017-06-13 04:18:53 EDT
(In reply to Ray Strode [halfline] from comment #1)
> i'm confused, why is gedit getting pulled in as a multilib package?  is some
> library doing Requires: gedit ?

Hope it is not, I bet it get pulled in with TPS lists.

But still someone could for whatever reason try to install both. So we can at least document.
Comment 3 Ray Strode [halfline] 2017-06-13 14:27:35 EDT
well there's a ton of packages that we don't support installing both 32-bit and x86-64 at the same time with.  We don't document every case that doesn't work afaik.  It's never been something we've supported.  That's why we broke out a bunch of packages to have -libs subpackages, so the multilib conflicting parts would be segregated from the libraries (where multilib is usually more important).
Comment 4 Ray Strode [halfline] 2017-06-13 14:28:09 EDT
(s/x86-64/64-bit/ above obviously)
Comment 5 Red Hat Bugzilla Rules Engine 2017-06-27 11:58:59 EDT
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.